# Uses of Enum Class
org.apache.cxf.common.jaxb.JAXBUtils.IdentifierType

Packages that use JAXBUtils.IdentifierType
Package
Description
org.apache.cxf.common.jaxb

- ## Uses of JAXBUtils.IdentifierType in org.apache.cxf.common.jaxb

  Methods in org.apache.cxf.common.jaxb that return JAXBUtils.IdentifierType
  Modifier and Type
  Method
  Description
  `static JAXBUtils.IdentifierType`
  JAXBUtils.IdentifierType.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static JAXBUtils.IdentifierType[]`
  JAXBUtils.IdentifierType.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.cxf.common.jaxb with parameters of type JAXBUtils.IdentifierType
  Modifier and Type
  Method
  Description
  `static String`
  JAXBUtils.`nameToIdentifier(String name, JAXBUtils.IdentifierType type)`
  Converts an XML name to a Java identifier according to the mapping algorithm outlined in the JAXB specification